package com.izouma.jiashanxia.service;

import com.izouma.jiashanxia.enums.PayMethod;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@SpringBootTest
@RunWith(SpringRunner.class)
public class OrderInfoServiceTest {

    @Autowired
    private OrderInfoService orderInfoService;

    @Test
    public void order() {
        System.out.println(orderInfoService.order(2L, 17L, PayMethod.WEIXIN));
    }

    @Test
    public void completed() {
        orderInfoService.completed(22L, "xxx");
    }
}